#!/usr/bin/make -f
#export DH_VERBOSE=1
#
# Uncomment to ignore all test failures (but the tests will run anyway)
#export DH_RUBY_IGNORE_TESTS=all
#
# Uncomment to ignore some test failures (but the tests will run anyway).
# Valid values:
#export DH_RUBY_IGNORE_TESTS=ruby1.8 ruby1.9.1 require-rubygems
#
# If you need to specify the .gemspec (eg there is more than one)
#export DH_RUBY_GEMSPEC=gem.gemspec

%:
	dh $@ --buildsystem=ruby --with ruby

override_dh_auto_clean:
	#cleaning the files built during the tests
	for x in libtrivial/ext libxml-ruby-0.3.8/ext/xml syck-0.55/ext/ruby/ext/syck ; do \
		cd test/sample_files/$$x ; \
		pwd ; \
		[ -e Rakefile ] && rake clean && rake clobber ; \
		cd - ; \
	done
	dh_auto_clean

override_dh_auto_install:
	touch test/fixtures/some_binary
	chmod +x test/fixtures/some_binary
	dh_auto_install

DEB_UPSTREAM_VERSION=$(shell dpkg-parsechangelog | sed -rne 's/^Version: ([^+]+).*/\1/p')
get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=.
	rm -rf ruby-mkrf-$(DEB_UPSTREAM_VERSION)
	tar -xf ruby-mkrf_$(DEB_UPSTREAM_VERSION).orig.tar.gz
	rm ruby-mkrf_$(DEB_UPSTREAM_VERSION).orig.tar.gz
	rm mkrf-$(DEB_UPSTREAM_VERSION)/test/fixtures/some_binary
	mv mkrf-$(DEB_UPSTREAM_VERSION) ruby-mkrf-$(DEB_UPSTREAM_VERSION).orig
	GZIP=--best tar -cz --owner root --group root --mode a+rX -f \
	     ../ruby-mkrf_$(DEB_UPSTREAM_VERSION)+dfsg.orig.tar.gz ruby-mkrf-$(DEB_UPSTREAM_VERSION).orig
	rm -r ruby-mkrf-$(DEB_UPSTREAM_VERSION).orig
